package com.mortals.xhx.module.window.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowOwnerDetailVo;
import lombok.Data;
/**
 * 窗口负责人详细实体对象
 *
 * @author zxfei
 * @date 2024-01-17
 */
@Data
public class WindowOwnerDetailEntity extends WindowOwnerDetailVo {
    private static final long serialVersionUID = 1L;

    /**
     * 负责人Id
     */
    private Long ownerId;
    /**
     * 窗口id
     */
    private Long windowId;
    /**
     * 窗口名称
     */
    private String windowName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 窗口编号
     */
    private String windowCode;
    /**
     * 所属楼栋
     */
    private Integer building;
    /**
     * 所属楼层
     */
    private Integer level;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowOwnerDetailEntity) {
            WindowOwnerDetailEntity tmp = (WindowOwnerDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.ownerId = null;
        this.windowId = null;
        this.windowName = "";
        this.remark = "";
        this.windowCode = "";
        this.building = 1;
        this.level = 1;
    }
}